package model

import "git.lxtend.com/qqbot/constants"

type Handler func(msg Message) (reply Reply)
type TryCatchHandler func(msg Message) (reply Reply, catched bool)

type HandlerInfo[H Handler | TryCatchHandler] struct {
	Trigger string
	Handler H
	Level   constants.PermissionLevel
}
